[cmucl-cvs] CMUCL commit: src/tools (build.sh)
Raymond Toy
rtoy at common-lisp.net
Sat Sep 25 18:03:16 UTC 2010
Date: Saturday, September 25, 2010 @ 14:03:16
Author: rtoy
Path: /project/cmucl/cvsroot/src/tools
Modified: build.sh
Set LANG=C before compiling the C code. For some reason on my
openSuSE 11.2 system, gcc messages are garbled unless I do this.
(Perhaps, I'm missing some localization info? But I have the gcc
localization package installed.)
----------+
build.sh | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
Index: src/tools/build.sh
diff -u src/tools/build.sh:1.34 src/tools/build.sh:1.35
--- src/tools/build.sh:1.34 Wed Sep 15 20:43:33 2010
+++ src/tools/build.sh Sat Sep 25 14:03:15 2010
@@ -32,7 +32,7 @@
#
# For more information see src/BUILDING.
#
-# $Header: /project/cmucl/cvsroot/src/tools/build.sh,v 1.34 2010-09-16 00:43:33 rtoy Exp $
+# $Header: /project/cmucl/cvsroot/src/tools/build.sh,v 1.35 2010-09-25 18:03:15 rtoy Exp $
#
ENABLE2="yes"
@@ -120,7 +120,11 @@
then
$TOOLDIR/clean-target.sh $CLEAN_FLAGS $TARGET || { echo "Failed: $TOOLDIR/clean-target.sh"; exit 1; }
time $BUILDWORLD $TARGET $OLDLISP $BOOT || { echo "Failed: $BUILDWORLD"; exit 1; }
- $MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
+ # Set the LANG to C. For whatever reason, if I (rtoy) don't
+ # do this on my openSuSE system, any messages from gcc are
+ # basically garbled. This should be harmless on other
+ # systems.
+ LANG=C $MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
if [ "$BUILD_WORLD2" = "yes" ];
then
$BUILDWORLD $TARGET $OLDLISP $BOOT || { echo "Failed: $BUILDWORLD"; exit 1; }
More information about the cmucl-cvs
mailing list